Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5055)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5056)
@@ -3,5 +3,5 @@
 global $lang,$conf;
 
-$conf_UserAdvManager = isset($conf['UserAdvManager']) ? explode(";" , $conf['UserAdvManager']) : array();
+$conf_UAM = unserialize($conf['nbc_UserAdvManager']);
 
 
@@ -24,16 +24,16 @@
 
 /* Errors and Warnings */
-$lang['UserAdvManager_audit_ok'] = 'Audit OK';
+$lang['UAM_audit_ok'] = 'Audit OK';
 $lang['Err_audit_no_casse'] = '<b>Questi conti sono identici al caso da vicino:</b> ';
 $lang['Err_audit_username_char'] = '<b>Questo conto utente utilizza uno o più caratteri vietati:</b> ';
 $lang['Err_audit_email_forbidden'] = '<b>Questo conto utente usa un dominio di email proibito:</b> ';
 $lang['Err_audit_advise'] = '<b>è necessario eseguire correzioni per conformarsi alle nuove regole che sono state attivate.<br>Utilizzare un programma per la gestione di database per correggere gli account utente direttamente nella tabella ###_USERS';
-$lang['UserAdvManager_Empty Author'] = 'Il campo autore devono essere riempiti per inviare un commento.';
-if ( isset($conf_UserAdvManager[1]) and $conf_UserAdvManager[1] == 'true' )
+$lang['UAM_Empty Author'] = 'Il campo autore devono essere riempiti per inviare un commento.';
+if ( isset($conf_UAM[1]) and $conf_UAM[1] == 'true' )
 	$lang['reg_err_login5'] = 'Nome utente esistono già, il nome di richiamo è case insensitive (Shift = Tiny).';
 $lang['reg_err_login6'] = 'Nome utente non deve corrispondere i seguenti caratteri: ';
 $lang['reg_err_login7'] = 'Il tuo provider di posta elettronica è vietato per la registrazione. Vietato provider di posta elettronica sono i seguenti: ';
-$lang['UserAdvManager_empty_pwd'] = '[password vuota]';
-$lang['UserAdvManager_no_update_pwd'] = '[profilo aggiornato senza password cambiata]';
+$lang['UAM_empty_pwd'] = '[password vuota]';
+$lang['UAM_no_update_pwd'] = '[profilo aggiornato senza password cambiata]';
 $lang['invalid_pwd'] = 'Nome utente o password non validi!';
 $lang['No_validation_for_Guest'] = '"Guest" conto non è soggetta a convalida';
@@ -72,5 +72,5 @@
 $lang['Reminder_Sent_NOK'] = 'NO';
 /* Errors and Warnings */
-$lang['UserAdvManager_save_config'] ='Configurazione salvata.';
+$lang['UAM_save_config'] ='Configurazione salvata.';
 $lang['reg_err_login3'] = 'Security: Password è obbligatorio!';
 $lang['reg_err_login4_%s'] = 'Sicurezza: un sistema di controllo calcola un punteggio sulla scelta password complessità. La complessità della password è troppo bassa (punteggio = %s). Si prega di scegliere una nuova password più sicura seguendo queste regole:<br>
@@ -123,63 +123,63 @@
 $lang['SubTitle1'] = 'Configurazione dei plugin';
 $lang['Tab_Global'] = 'Configurazione';
-$lang['UserAdvManager_Title1'] = 'Impostare le restrizioni per le registrazioni';
-$lang['UserAdvManager_Title2'] = 'Impostare le conferme e validazioni di registrazione';
-$lang['UserAdvManager_Title3'] = 'Impostare le registrazioni seguiti e altre opzioni';
-$lang['UserAdvManager_Title4'] = 'Suggerimenti ed esempi di utilizzo';
-$lang['UserAdvManager_No_Casse'] = 'Nome utente: Sensibilità case';
-$lang['UserAdvManager_No_Casse_true'] = ' Consentire';
-$lang['UserAdvManager_No_Casse_false'] = ' Disattivare (predefinito)';
-$lang['UserAdvManager_Username_Char'] = 'Nome utente: Esclusione di caratteri';
-$lang['UserAdvManager_Username_Char_true'] = ' Divieto di caratteri:<br>(Utilizzare una virgola per separare ogni carattere)<br><br>';
-$lang['UserAdvManager_Username_Char_false'] = ' Consentire a tutti (predefinito)';
-$lang['UserAdvManager_Password_Enforced'] = 'Rafforzare il livello di sicurezza delle password';
-$lang['UserAdvManager_Password_Enforced_true'] = ' Consentire. Punteggio minimo: ';
-$lang['UserAdvManager_Password_Enforced_false'] = ' Disattivare (predefinito)';
-$lang['UserAdvManager_AdminPassword_Enforced'] = 'Applicando agli amministratori';
-$lang['UserAdvManager_AdminPassword_Enforced_true'] = ' Consentire';
-$lang['UserAdvManager_AdminPassword_Enforced_false'] = ' Disattivare (predefinito)';
-$lang['UserAdvManager_PasswordTest'] = 'Password di prova: ';
-$lang['UserAdvManager_ScoreTest'] = 'Risultato: ';
-$lang['UserAdvManager_MailExclusion'] = 'L\'esclusione Email domini';
-$lang['UserAdvManager_MailExclusion_true'] = ' Escludi i seguenti domini:<br>(Utilizzare una virgola per separare ogni dominio)';
-$lang['UserAdvManager_MailExclusion_false'] = ' Disattivare (predefinito)';
-
-$lang['UserAdvManager_Mail_Info'] = 'E-mail informazioni per l\'utente:';
-$lang['UserAdvManager_Mail_Info_true'] = ' Consentire';
-$lang['UserAdvManager_Mail_Info_false'] = ' Disattivare (predefinito)';
-$lang['UserAdvManager_MailInfo_Text'] = ' Personalizzazione e-mail informazioni:';
-$lang['UserAdvManager_Confirm_Mail'] = 'Conferma della registrazione:';
-$lang['UserAdvManager_Confirm_Mail_true'] = ' Consentire';
-$lang['UserAdvManager_Confirm_Mail_false'] = ' Disattivare (predefinito)';
-$lang['UserAdvManager_ConfirmMail_Text'] = ' Personalizzare la mail di conferma:';
-$lang['UserAdvManager_Confirm_grpstat_notice'] = 'ATTENZIONE: Si consiglia di utilizzare sia il gruppo o lo statuto di convalida e non entrambi simultaneamente.';
-$lang['UserAdvManager_Confirm_Group'] = 'Gruppi di convalida<br>(Invia ------- non pregiudicare gruppo)';
-$lang['UserAdvManager_Confirm_Status'] = 'Convalida Statuti<br>(Invia ------- per mantenere il default di Piwigo)';
-$lang['UserAdvManager_No_Confirm_Group'] = 'Gruppo per gli utenti che non hanno convalidato la loro registrazione<br>';
-$lang['UserAdvManager_Validated_Group'] = 'Gruppo per gli utenti che hanno convalidato la loro iscrizione<br>';
-$lang['UserAdvManager_No_Confirm_Status'] = 'Di stato per gli utenti che non hanno convalidato la loro registrazione<br>';
-$lang['UserAdvManager_Validated_Status'] = 'Stato per gli utenti che hanno convalidato la loro iscrizione<br>';
-$lang['UserAdvManager_ValidationLimit_Info'] = 'Termine per la validazione di registrazione limitato';
-$lang['UserAdvManager_ConfirmMail_TimeOut_true'] = ' Consentire. Numero di giorni fino alla scadenza: ';
-$lang['UserAdvManager_ConfirmMail_TimeOut_false'] = ' Disattivare (predefinito)';
-$lang['UserAdvManager_ConfirmMail_Remail'] = 'Promemoria visitatori non convalidate';
-$lang['UserAdvManager_ConfirmMail_Remail_true'] = ' Consentire';
-$lang['UserAdvManager_ConfirmMail_Remail_false'] = ' Disattivare (predefinito)';
-$lang['UserAdvManager_ConfirmMail_ReMail_Txt1'] = 'Personalizzare il messaggio di sollecito <b><u>con</u></b> nuova rigenerazione di convalida delle chiavi.';
-$lang['UserAdvManager_ConfirmMail_ReMail_Txt2'] = 'Personalizzazione del messaggio di sollecito <b><u>senza</u></b> rigenerazione della convalida delle chiavi.';
-
-$lang['UserAdvManager_GhostTracker'] = 'Gestione fantasmi visitatori (Ghost Tracker)';
-$lang['UserAdvManager_GhostTracker_true'] = ' Consentire. Durata massima in giorni tra due visite: ';
-$lang['UserAdvManager_GhostTracker_false'] = ' Disattivare (predefinito)';
-$lang['UserAdvManager_GhostTracker_ReminderText'] = 'Personalizzazione richiamo di messaggi del Ghost Tracker';
-$lang['UserAdvManager_LastVisit'] = ' Tracciamento utenti registrati';
-$lang['UserAdvManager_LastVisit_true'] = ' Consentire';
-$lang['UserAdvManager_LastVisit_false'] = ' Disattivare (predefinito)';
-$lang['UserAdvManager_No_Comment_Anonymous'] = 'Nickname obbligatoria per i commenti degli ospiti';
-$lang['UserAdvManager_No_Comment_Anonymous_true'] = ' Consentire';
-$lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Disattivare (predefinito)';
-
-$lang['UserAdvManager_Tips1'] = 'Registrazioni con la convalida e-mail e messaggio di avviso nella home page del PhpWebGallery (Inglese)';
-/* TODO */$lang['UserAdvManager_Tips1_txt'] = '
+$lang['UAM_Title1'] = 'Impostare le restrizioni per le registrazioni';
+$lang['UAM_Title2'] = 'Impostare le conferme e validazioni di registrazione';
+$lang['UAM_Title3'] = 'Impostare le registrazioni seguiti e altre opzioni';
+$lang['UAM_Title4'] = 'Suggerimenti ed esempi di utilizzo';
+$lang['UAM_No_Casse'] = 'Nome utente: Sensibilità case';
+$lang['UAM_No_Casse_true'] = ' Consentire';
+$lang['UAM_No_Casse_false'] = ' Disattivare (predefinito)';
+$lang['UAM_Username_Char'] = 'Nome utente: Esclusione di caratteri';
+$lang['UAM_Username_Char_true'] = ' Divieto di caratteri:<br>(Utilizzare una virgola per separare ogni carattere)<br><br>';
+$lang['UAM_Username_Char_false'] = ' Consentire a tutti (predefinito)';
+$lang['UAM_Password_Enforced'] = 'Rafforzare il livello di sicurezza delle password';
+$lang['UAM_Password_Enforced_true'] = ' Consentire. Punteggio minimo: ';
+$lang['UAM_Password_Enforced_false'] = ' Disattivare (predefinito)';
+$lang['UAM_AdminPassword_Enforced'] = 'Applicando agli amministratori';
+$lang['UAM_AdminPassword_Enforced_true'] = ' Consentire';
+$lang['UAM_AdminPassword_Enforced_false'] = ' Disattivare (predefinito)';
+$lang['UAM_PasswordTest'] = 'Password di prova: ';
+$lang['UAM_ScoreTest'] = 'Risultato: ';
+$lang['UAM_MailExclusion'] = 'L\'esclusione Email domini';
+$lang['UAM_MailExclusion_true'] = ' Escludi i seguenti domini:<br>(Utilizzare una virgola per separare ogni dominio)';
+$lang['UAM_MailExclusion_false'] = ' Disattivare (predefinito)';
+
+$lang['UAM_Mail_Info'] = 'E-mail informazioni per l\'utente:';
+$lang['UAM_Mail_Info_true'] = ' Consentire';
+$lang['UAM_Mail_Info_false'] = ' Disattivare (predefinito)';
+$lang['UAM_MailInfo_Text'] = ' Personalizzazione e-mail informazioni:';
+$lang['UAM_Confirm_Mail'] = 'Conferma della registrazione:';
+$lang['UAM_Confirm_Mail_true'] = ' Consentire';
+$lang['UAM_Confirm_Mail_false'] = ' Disattivare (predefinito)';
+$lang['UAM_ConfirmMail_Text'] = ' Personalizzare la mail di conferma:';
+$lang['UAM_Confirm_grpstat_notice'] = 'ATTENZIONE: Si consiglia di utilizzare sia il gruppo o lo statuto di convalida e non entrambi simultaneamente.';
+$lang['UAM_Confirm_Group'] = 'Gruppi di convalida<br>(Invia ------- non pregiudicare gruppo)';
+$lang['UAM_Confirm_Status'] = 'Convalida Statuti<br>(Invia ------- per mantenere il default di Piwigo)';
+$lang['UAM_No_Confirm_Group'] = 'Gruppo per gli utenti che non hanno convalidato la loro registrazione<br>';
+$lang['UAM_Validated_Group'] = 'Gruppo per gli utenti che hanno convalidato la loro iscrizione<br>';
+$lang['UAM_No_Confirm_Status'] = 'Di stato per gli utenti che non hanno convalidato la loro registrazione<br>';
+$lang['UAM_Validated_Status'] = 'Stato per gli utenti che hanno convalidato la loro iscrizione<br>';
+$lang['UAM_ValidationLimit_Info'] = 'Termine per la validazione di registrazione limitato';
+$lang['UAM_ConfirmMail_TimeOut_true'] = ' Consentire. Numero di giorni fino alla scadenza: ';
+$lang['UAM_ConfirmMail_TimeOut_false'] = ' Disattivare (predefinito)';
+$lang['UAM_ConfirmMail_Remail'] = 'Promemoria visitatori non convalidate';
+$lang['UAM_ConfirmMail_Remail_true'] = ' Consentire';
+$lang['UAM_ConfirmMail_Remail_false'] = ' Disattivare (predefinito)';
+$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Personalizzare il messaggio di sollecito <b><u>con</u></b> nuova rigenerazione di convalida delle chiavi.';
+$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Personalizzazione del messaggio di sollecito <b><u>senza</u></b> rigenerazione della convalida delle chiavi.';
+
+$lang['UAM_GhostTracker'] = 'Gestione fantasmi visitatori (Ghost Tracker)';
+$lang['UAM_GhostTracker_true'] = ' Consentire. Durata massima in giorni tra due visite: ';
+$lang['UAM_GhostTracker_false'] = ' Disattivare (predefinito)';
+$lang['UAM_GhostTracker_ReminderText'] = 'Personalizzazione richiamo di messaggi del Ghost Tracker';
+$lang['UAM_LastVisit'] = ' Tracciamento utenti registrati';
+$lang['UAM_LastVisit_true'] = ' Consentire';
+$lang['UAM_LastVisit_false'] = ' Disattivare (predefinito)';
+$lang['UAM_No_Comment_Anonymous'] = 'Nickname obbligatoria per i commenti degli ospiti';
+$lang['UAM_No_Comment_Anonymous_true'] = ' Consentire';
+$lang['UAM_No_Comment_Anonymous_false'] = ' Disattivare (predefinito)';
+
+$lang['UAM_Tips1'] = 'Registrazioni con la convalida e-mail e messaggio di avviso nella home page del PhpWebGallery (Inglese)';
+/* TODO */$lang['UAM_Tips1_txt'] = '
           <ul>
             <li>
@@ -245,5 +245,5 @@
 $lang['GT_Init'] = 'Inizializzazione Ghost Tracker';
 $lang['GhostTracker_Title'] = 'Gestione fantasmi visitatori';
-$lang['UserAdvManager_GhostTracker_Init'] = 'Se si attiva questa funzione per la prima volta o che hanno riattivato, dopo un lungo periodo fuori durante il quale i nuovi visitatori sono registrati, è necessario inizializzare o azzerare il Tracker Ghost. Questa azione viene effettuata solo dopo l\'attivazione o la riattivazione del contratto stesso. Si prega di scegliere <u>una volta</u> il pulsante di reset sotto.';
+$lang['UAM_GhostTracker_Init'] = 'Se si attiva questa funzione per la prima volta o che hanno riattivato, dopo un lungo periodo fuori durante il quale i nuovi visitatori sono registrati, è necessario inizializzare o azzerare il Tracker Ghost. Questa azione viene effettuata solo dopo l\'attivazione o la riattivazione del contratto stesso. Si prega di scegliere <u>una volta</u> il pulsante di reset sotto.';
 /* UserList Tab */
 $lang['SubTitle5'] = 'Tracciamento degli utenti';
Index: /extensions/NBC_UserAdvManager/trunk/main.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 5055)
+++ /extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 5056)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: NBC UserAdvManager
-Version: 2.13.4
+Version: 2.13.5
 Description: Renforcer la gestion des utilisateurs - Enforce users management
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=216
@@ -42,5 +42,5 @@
 
 include_once (NBC_UAM_PATH.'include/constants.php');
-include_once (NBC_UAM_PATH.'include/functions_UserAdvManager.inc.php');
+include_once (NBC_UAM_PATH.'include/functions.inc.php');
 
 load_language('plugin.lang', NBC_UAM_PATH);
@@ -48,12 +48,12 @@
 
 /* Plugin admin */
-add_event_handler('get_admin_plugin_menu_links', 'nbc_UserAdvManager_admin_menu');
-
-function nbc_UserAdvManager_admin_menu($menu)
+add_event_handler('get_admin_plugin_menu_links', 'UAM_admin_menu');
+
+function UAM_admin_menu($menu)
 {
   array_push($menu,
     array(
       'NAME' => 'UserAdvManager',
-      'URL'  => get_admin_plugin_menu_link(NBC_UAM_PATH.'/admin/UserAdvManager_admin.php')
+      'URL'  => get_admin_plugin_menu_link(NBC_UAM_PATH.'/admin/UAM_admin.php')
     )
   );
@@ -63,13 +63,13 @@
 
 /* Lastvisit table feed for Ghost Tracker */
-add_event_handler('loc_begin_index', 'UserAdvManager_GhostTracker');
-
-function UserAdvManager_GhostTracker()
+add_event_handler('loc_begin_index', 'UAM_GhostTracker');
+
+function UAM_GhostTracker()
 {
   global $conf, $user;
-  
-  $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
-
-  if (isset($conf_nbc_UserAdvManager[17]) and $conf_nbc_UserAdvManager[17] == 'true' and !is_admin() and !is_a_guest())
+
+  $conf_UAM = unserialize($conf['nbc_UserAdvManager']);
+
+  if (isset($conf_UAM[17]) and $conf_UAM[17] == 'true' and !is_admin() and !is_a_guest())
   {
 
@@ -110,14 +110,14 @@
 
 /* User creation */
-add_event_handler('register_user', 'UserAdvManager_Adduser');
-
-function UserAdvManager_Adduser($register_user)
+add_event_handler('register_user', 'UAM_Adduser');
+
+function UAM_Adduser($register_user)
 {
   global $conf;
-  
-  $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
+
+  $conf_UAM = unserialize($conf['nbc_UserAdvManager']);
   
   /* Sending registration confirmation by email */
-  if ((isset($conf_nbc_UserAdvManager[0]) and $conf_nbc_UserAdvManager[0] == 'true' and !is_admin()) or (isset($conf_nbc_UserAdvManager[2]) and $conf_nbc_UserAdvManager[2] == 'true' and !is_admin()))
+  if ((isset($conf_UAM[0]) and $conf_UAM[0] == 'true' and !is_admin()) or (isset($conf_UAM[2]) and $conf_UAM[2] == 'true' and !is_admin()))
   {
     $passwd = (isset($_POST['password'])) ? $_POST['password'] : '';
@@ -129,7 +129,7 @@
 
 /* User deletion */
-add_event_handler('delete_user', 'UserAdvManager_Deluser');
-
-function UserAdvManager_Deluser($user_id)
+add_event_handler('delete_user', 'UAM_Deluser');
+
+function UAM_Deluser($user_id)
 {
   /* Cleanup for ConfirmMail table */
@@ -141,7 +141,7 @@
 
 /* Check users registration */
-add_event_handler('register_user_check', 'UserAdvManager_RegistrationCheck', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
-
-function UserAdvManager_RegistrationCheck($err, $user)
+add_event_handler('register_user_check', 'UAM_RegistrationCheck', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
+
+function UAM_RegistrationCheck($err, $user)
 {
   global $errors, $conf;
@@ -227,9 +227,9 @@
 /* ****************************************** */
   $PasswordCheck = 0;
-  
-  $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
+
+  $conf_UAM = unserialize($conf['nbc_UserAdvManager']);
 
   /* Password enforcement control */
-  if (isset($conf_nbc_UserAdvManager[14]) and $conf_nbc_UserAdvManager[14] == 'true' and !empty($conf_nbc_UserAdvManager[15]))
+  if (isset($conf_UAM[14]) and $conf_UAM[14] == 'true' and !empty($conf_UAM[15]))
   {
     if (!empty($user['password']) and !is_admin())
@@ -237,18 +237,18 @@
       $PasswordCheck = testpassword($user['password']);
   
-      if ($PasswordCheck < $conf_nbc_UserAdvManager[15])
+      if ($PasswordCheck < $conf_UAM[15])
       {
         $message = get_l10n_args('reg_err_login4_%s', $PasswordCheck);
-        return($lang['reg_err_pass'] = l10n_args($message).$conf_nbc_UserAdvManager[15]);
-      }
-    }
-    else if (!empty($user['password']) and is_admin() and isset($conf_nbc_UserAdvManager[16]) and $conf_nbc_UserAdvManager[16] == 'true')
+        return($lang['reg_err_pass'] = l10n_args($message).$conf_UAM[15]);
+      }
+    }
+    else if (!empty($user['password']) and is_admin() and isset($conf_UAM[16]) and $conf_UAM[16] == 'true')
     { 
       $PasswordCheck = testpassword($user['password']);
   
-      if ($PasswordCheck < $conf_nbc_UserAdvManager[15])
+      if ($PasswordCheck < $conf_UAM[15])
       {
         $message = get_l10n_args('reg_err_login4_%s', $PasswordCheck);
-        return($lang['reg_err_pass'] = l10n_args($message).$conf_nbc_UserAdvManager[15]);
+        return($lang['reg_err_pass'] = l10n_args($message).$conf_UAM[15]);
       }
     }
@@ -256,5 +256,5 @@
 
   /* Username non case sensitive */
-  if (isset($conf_nbc_UserAdvManager[1]) and $conf_nbc_UserAdvManager[1] == 'true' and NotSensibleSearchUsername($_POST['login']))
+  if (isset($conf_UAM[1]) and $conf_UAM[1] == 'true' and NotSensibleSearchUsername($_POST['login']))
   {
     return($lang['reg_err_login5'] = l10n('reg_err_login5'));
@@ -262,15 +262,15 @@
 
   /* Username without forbidden keys */
-  if (isset($conf_nbc_UserAdvManager[7]) and $conf_nbc_UserAdvManager[7] == 'true' and !empty($_POST['login']) and ValidateUsername($_POST['login']) and !is_admin())
+  if (isset($conf_UAM[7]) and $conf_UAM[7] == 'true' and !empty($_POST['login']) and ValidateUsername($_POST['login']) and !is_admin())
   {
     $_POST['login'] = '';
-    return($lang['reg_err_login1'] = l10n('reg_err_login6')."'".$conf_nbc_UserAdvManager[8]."'");
+    return($lang['reg_err_login1'] = l10n('reg_err_login6')."'".$conf_UAM[8]."'");
   }
 
   /* Email without forbidden domains */
-  if (isset($conf_nbc_UserAdvManager[12]) and $conf_nbc_UserAdvManager[12] == 'true' and !empty($_POST['mail_address']) and ValidateEmailProvider($_POST['mail_address']) and !is_admin())
+  if (isset($conf_UAM[12]) and $conf_UAM[12] == 'true' and !empty($_POST['mail_address']) and ValidateEmailProvider($_POST['mail_address']) and !is_admin())
   {
     $_POST['mail_address'] = '';
-    return($lang['reg_err_login1'] = l10n('reg_err_login7')."'".$conf_nbc_UserAdvManager[13]."'");
+    return($lang['reg_err_login1'] = l10n('reg_err_login7')."'".$conf_UAM[13]."'");
   }
 }
@@ -279,20 +279,20 @@
 if (script_basename() == 'profile')
 {
-  add_event_handler('loc_begin_profile', 'UserAdvManager_Profile_Init');
-
-  function UserAdvManager_Profile_Init()
+  add_event_handler('loc_begin_profile', 'UAM_Profile_Init');
+
+  function UAM_Profile_Init()
   {
     global $conf, $user, $template;
 
-    $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
+    $conf_UAM = unserialize($conf['nbc_UserAdvManager']);
 
     if (isset($_POST['validate']) and !is_admin())
     {
       /* Email without forbidden domains */
-      if (isset($conf_nbc_UserAdvManager[12]) and $conf_nbc_UserAdvManager[12] == 'true' and !empty($_POST['mail_address']))
+      if (isset($conf_UAM[12]) and $conf_UAM[12] == 'true' and !empty($_POST['mail_address']))
       {
         if (ValidateEmailProvider($_POST['mail_address']))
         {
-          $template->append('errors', l10n('reg_err_login7')."'".$conf_nbc_UserAdvManager[13]."'");
+          $template->append('errors', l10n('reg_err_login7')."'".$conf_UAM[13]."'");
           unset($_POST['validate']);
         }
@@ -306,12 +306,12 @@
         
         /* Password enforcement control */
-        if (isset($conf_nbc_UserAdvManager[14]) and $conf_nbc_UserAdvManager[14] == 'true' and !empty($conf_nbc_UserAdvManager[15]))
+        if (isset($conf_UAM[14]) and $conf_UAM[14] == 'true' and !empty($conf_UAM[15]))
         {
           $PasswordCheck = testpassword($_POST['use_new_pwd']);
          
-          if ($PasswordCheck < $conf_nbc_UserAdvManager[15])
+          if ($PasswordCheck < $conf_UAM[15])
           {
             $message = get_l10n_args('reg_err_login4_%s', $PasswordCheck);
-            $template->append('errors', l10n_args($message).$conf_nbc_UserAdvManager[15]);
+            $template->append('errors', l10n_args($message).$conf_UAM[15]);
             unset($_POST['use_new_pwd']);
             unset($_POST['validate']);
@@ -321,5 +321,5 @@
       
       /* Sending registration confirmation by email */
-      if ((isset($conf_nbc_UserAdvManager[0]) and $conf_nbc_UserAdvManager[0] == 'true') or (isset($conf_nbc_UserAdvManager[2]) and $conf_nbc_UserAdvManager[2] == 'true'))
+      if ((isset($conf_UAM[0]) and $conf_UAM[0] == 'true') or (isset($conf_UAM[2]) and $conf_UAM[2] == 'true'))
       {
         $confirm_mail_need = false;
@@ -335,10 +335,10 @@
           list($current_email) = mysql_fetch_row(pwg_query($query));
       
-          if ($_POST['mail_address'] != $current_email and ( isset($conf_nbc_UserAdvManager[2]) and $conf_nbc_UserAdvManager[2] == 'true'))
+          if ($_POST['mail_address'] != $current_email and ( isset($conf_UAM[2]) and $conf_UAM[2] == 'true'))
         
             $confirm_mail_need = true;
         }
         
-        if ((!empty($_POST['use_new_pwd']) and (isset($conf_nbc_UserAdvManager[0]) and $conf_nbc_UserAdvManager[0] == 'true') or $confirm_mail_need))
+        if ((!empty($_POST['use_new_pwd']) and (isset($conf_UAM[0]) and $conf_UAM[0] == 'true') or $confirm_mail_need))
         {
           $query = '
@@ -358,12 +358,12 @@
 
 
-add_event_handler('init', 'UserAdvManager_InitPage');
+add_event_handler('init', 'UAM_InitPage');
 /* *** Important ! This is necessary to make email exclusion work in admin's users management panel *** */
-function UserAdvManager_InitPage()
+function UAM_InitPage()
 {
   load_language('plugin.lang', NBC_UAM_PATH);
   global $conf, $template, $page, $lang, $errors;
 
-  $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
+  $conf_UAM = unserialize($conf['nbc_UserAdvManager']);
 
 /* Admin user management */
@@ -373,7 +373,7 @@
     {
       /* Email without forbidden domains */
-      if (isset($conf_nbc_UserAdvManager[12]) and $conf_nbc_UserAdvManager[12] == 'true' and !empty($_POST['email']) and ValidateEmailProvider($_POST['email']))
-      {
-        $template->append('errors', l10n('reg_err_login7')."'".$conf_nbc_UserAdvManager[13]."'");
+      if (isset($conf_UAM[12]) and $conf_UAM[12] == 'true' and !empty($_POST['email']) and ValidateEmailProvider($_POST['email']))
+      {
+        $template->append('errors', l10n('reg_err_login7')."'".$conf_UAM[13]."'");
         unset($_POST['submit_add']);
       }
@@ -383,19 +383,19 @@
 
 
-add_event_handler('user_comment_check', 'UserAdvManager_CheckEmptyCommentAuthor', 50, 2);
-
-function UserAdvManager_CheckEmptyCommentAuthor($comment_action, $comm)
+add_event_handler('user_comment_check', 'UAM_CheckEmptyCommentAuthor', 50, 2);
+
+function UAM_CheckEmptyCommentAuthor($comment_action, $comm)
 {
   load_language('plugin.lang', NBC_UAM_PATH);
   global $infos, $conf, $template;
 
-  $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
+  $conf_UAM = unserialize($conf['nbc_UserAdvManager']);
 
 /* User creation OR update */
-  if (isset($conf_nbc_UserAdvManager[6]) and $conf_nbc_UserAdvManager[6] == 'true' and $conf['comments_forall'] == 'true' and $comm['author'] == 'guest')
+  if (isset($conf_UAM[6]) and $conf_UAM[6] == 'true' and $conf['comments_forall'] == 'true' and $comm['author'] == 'guest')
   {
     $comment_action = 'reject';
 
-    array_push($infos, l10n('UserAdvManager_Empty Author'));
+    array_push($infos, l10n('UAM_Empty Author'));
   }
 
